﻿using System.Windows;
using System.Windows.Controls;
using System.Windows.Input;
using System.Windows.Media;

namespace DragElementBehavior
{
    public partial class MainPage : UserControl
    {
        MatrixTransform _transform = null;

        public MainPage()
        {
            InitializeComponent();

            this.Loaded += new RoutedEventHandler(MainPage_Loaded);
        }

        void MainPage_Loaded(object sender, RoutedEventArgs e)
        {
            
        }

        private void btnSave(object sender, RoutedEventArgs e)
        {
            _transform = btnTarget.RenderTransform as MatrixTransform;
            
        }

        private void btnRestore(object sender, RoutedEventArgs e)
        {
            btnTarget.RenderTransform = _transform;
        }

        private void onDragBegun(object sender, MouseEventArgs e)
        {
            Cursor = Cursors.Hand;
        }

        private void dragFinished(object sender, MouseEventArgs e)
        {
            Cursor = Cursors.Arrow;
        }

        private void onDragging(object sender, MouseEventArgs e)
        {

        }
    }
}
